Bug 109988 - active/backup bonding causes kernel panic
active/backup bonding causes kernel panic
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-13 13:25 EST by Hrunting Johnson
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-04 22:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix bonding on interfaces with no IP address (969 bytes, patch)
2003-11-13 13:26 EST, Hrunting Johnson
no flags Details | Diff

  None (edit)
Description Hrunting Johnson 2003-11-13 13:25:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
When initiating a bonding interfacethat does not have an IP address, 
bonding panics.  The given URL highlights patches the most recent 
round of bonding updates that fixes this problem.  Attached is a 
patch that fixes the problem in the latest RH9 stable kernel released 
by RedHat.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.setup bonding interface with no ip address
2.ifup the interface

Actual Results:  kernel panics with reference to null pointer

Expected Results:  ifup on the bonded interface succeeds

Additional info:
Comment 1 Hrunting Johnson 2003-11-13 13:26:04 EST
Created attachment 95950 [details]
Patch to fix bonding on interfaces with no IP address
Comment 2 Hrunting Johnson 2003-12-30 17:03:23 EST
This was bug was listed as fixed in the latest errata.  Is that 
correct?  The bug still shows a state of NEW.
Comment 3 Dave Jones 2004-01-04 22:23:13 EST
Patch was applied in current errata.

Note You need to log in before you can comment on or make changes to this bug.